Paycose Docs
Transfer
POST/transfers/{transfer_id}/reverse

Reverse

Reverse a captured transfer.

Withdraws funds from destination and returns to source.

Requires: Bearer token, X-Country header.

Request

Example

curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/transfers/{{transfer_id}}/reverse' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'X-Test-Mode: {{x_test_mode}}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request.

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "id": "<string>",
  "object": "<string>",
  "livemode": false,
  "created_at": "<RFC3339 timestamp>",
  "updated_at": "<RFC3339 timestamp>",
  "amount": 0,
  "application_fee_amount": 0,
  "application_tax_amount": 0,
  "net_amount": 0,
  "currency": "<string>",
  "scaling_factor": 0,
  "status": "<string>",
  "from": {
    "customer_id": "<string>",
    "account_id": "<string>",
    "balance_id": "<string>"
  },
  "to": {
    "customer_id": "<string>",
    "account_id": "<string>",
    "balance_id": "<string>"
  },
  "idempotency_key": "<string>",
  "destination": "<string>",
  "source_transaction": "<string>",
  "transfer_group": "<string>",
  "amount_reversed": 0,
  "reversed": false,
  "labels": "<core.Labels>",
  "from_customer": {
    "id": "<string>",
    "object": "<string>",
    "livemode": false,
    "created_at": null,
    "updated_at": null,
    "name": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "address": {
      "city": "<string>",
      "country": "<string>",
      "line1": "<string>",
      "line2": "<string>",
      "postal_code": "<string>",
      "state": "<string>"
    },
    "shipping": {
      "name": "<string>",
      "phone": "<string>",
      "address": {
        "city": "<string>",
        "country": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "state": "<string>"
      }
    },
    "is_system": false,
    "is_application_customer": false,
    "capabilities": {
      "charge": false,
      "transfer": false,
      "payout": false
    },
    "tax_ids": [
      {
        "type": "<string>",
        "value": "<string>",
        "country": "<string>",
        "verification_status": "<string>"
      }
    ],
    "metadata": {},
    "labels": "<core.Labels>",
    "invoice_settings": {},
    "tax_exempt": "<string>",
    "preferred_locales": [
      "<string>"
    ],
    "business_name": "<string>",
    "currency": "<string>"
  },
  "from_balance": {
    "id": "<string>",
    "object": "<string>",
    "livemode": false,
    "created_at": null,
    "updated_at": null,
    "customer_id": "<string>",
    "account": "<string>",
    "currency": "<string>",
    "name": "<string>",
    "available": 0,
    "hold": 0,
    "scaling_factor": 0,
    "description": "<string>",
    "customer": {
      "id": "<string>",
      "object": "<string>",
      "livemode": false,
      "created_at": null,
      "updated_at": null,
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "address": {
        "city": "<string>",
        "country": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "state": "<string>"
      },
      "shipping": {
        "name": "<string>",
        "phone": "<string>",
        "address": {
          "city": "<string>",
          "country": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "state": "<string>"
        }
      },
      "is_system": false,
      "is_application_customer": false,
      "capabilities": {
        "charge": false,
        "transfer": false,
        "payout": false
      },
      "tax_ids": [
        {
          "type": "<string>",
          "value": "<string>",
          "country": "<string>",
          "verification_status": "<string>"
        }
      ],
      "metadata": {},
      "labels": "<core.Labels>",
      "invoice_settings": {},
      "tax_exempt": "<string>",
      "preferred_locales": [
        "<string>"
      ],
      "business_name": "<string>",
      "currency": "<string>"
    }
  },
  "to_customer": {
    "id": "<string>",
    "object": "<string>",
    "livemode": false,
    "created_at": null,
    "updated_at": null,
    "name": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "address": {
      "city": "<string>",
      "country": "<string>",
      "line1": "<string>",
      "line2": "<string>",
      "postal_code": "<string>",
      "state": "<string>"
    },
    "shipping": {
      "name": "<string>",
      "phone": "<string>",
      "address": {
        "city": "<string>",
        "country": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "state": "<string>"
      }
    },
    "is_system": false,
    "is_application_customer": false,
    "capabilities": {
      "charge": false,
      "transfer": false,
      "payout": false
    },
    "tax_ids": [
      {
        "type": "<string>",
        "value": "<string>",
        "country": "<string>",
        "verification_status": "<string>"
      }
    ],
    "metadata": {},
    "labels": "<core.Labels>",
    "invoice_settings": {},
    "tax_exempt": "<string>",
    "preferred_locales": [
      "<string>"
    ],
    "business_name": "<string>",
    "currency": "<string>"
  },
  "to_balance": {
    "id": "<string>",
    "object": "<string>",
    "livemode": false,
    "created_at": null,
    "updated_at": null,
    "customer_id": "<string>",
    "account": "<string>",
    "currency": "<string>",
    "name": "<string>",
    "available": 0,
    "hold": 0,
    "scaling_factor": 0,
    "description": "<string>",
    "customer": {
      "id": "<string>",
      "object": "<string>",
      "livemode": false,
      "created_at": null,
      "updated_at": null,
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "address": {
        "city": "<string>",
        "country": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "state": "<string>"
      },
      "shipping": {
        "name": "<string>",
        "phone": "<string>",
        "address": {
          "city": "<string>",
          "country": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "state": "<string>"
        }
      },
      "is_system": false,
      "is_application_customer": false,
      "capabilities": {
        "charge": false,
        "transfer": false,
        "payout": false
      },
      "tax_ids": [
        {
          "type": "<string>",
          "value": "<string>",
          "country": "<string>",
          "verification_status": "<string>"
        }
      ],
      "metadata": {},
      "labels": "<core.Labels>",
      "invoice_settings": {},
      "tax_exempt": "<string>",
      "preferred_locales": [
        "<string>"
      ],
      "business_name": "<string>",
      "currency": "<string>"
    }
  }
}
400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page